import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.base.product.category.mobile.getList,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.product.category.mobile.doEdit,
    method: 'post',
    data,
  })
}

export function editState(data) {
  return request({
    url: URL.shop.base.product.category.mobile.editState,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.product.category.mobile.doDelete,
    method: 'post',
    data,
  })
}
